> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves statistical overview data for phone calls within a specified date range.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /phone-calls/stats/overview
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /phone-calls/stats/overview:
    get:
      tags:
        - PhoneCall
      summary: >-
        Retrieves statistical overview data for phone calls within a specified
        date range.
      parameters:
        - name: after
          in: query
          description: The start date for the statistics period.
          schema:
            type: string
            format: date-time
        - name: before
          in: query
          description: The end date for the statistics period.
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Successfully retrieved phone call statistics overview.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PhoneCallStatsOverview'
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneCallStatsOverview'
            text/json:
              schema:
                $ref: '#/components/schemas/PhoneCallStatsOverview'
components:
  schemas:
    PhoneCallStatsOverview:
      type: object
      properties:
        successfullCallScore:
          type: number
          format: double
        interestingSolutions:
          type: array
          items:
            type: string
          nullable: true
        topQuestions:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false

````